ImportError: numpy.core.multiarray failed to import [Python]

Traceback (most recent call last):
File “/home/ubuntu/script/train.py”, line 1, in
from flair.data import Corpus
File “/home/ubuntu/anaconda3/lib/python3.6/site-packages/flair/init.py”, line 2, in
import torch
File “/home/ubuntu/anaconda3/lib/python3.6/site-packages/torch/init.py”, line 190, in
from torch._C import *
ImportError: numpy.core.multiarray failed to import

深層学習のライブラリをインポートして使っていると、上記のようなエラーに遭遇することがある。これは、numpyのバージョンが低いことによるエラーのため、

pip install numpy --upgrade

または、

python -m pip install numpy --upgrade

で解決。なんてことはない

Pocket